/*
 * Copyright 2005-2012 Schlichtherle IT Services
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package de.schlichtherle.license.wizard;

import java.awt.Component;
import java.awt.Toolkit;
import javax.swing.JOptionPane;

/**
 * A simple wrapper for JOptionPane dialogs to provide additional comfort.
 *
 * @author Christian Schlichtherle
 */
public class Dialogs extends JOptionPane {
    private static final long serialVersionUID = 1L;
    
    public static void showMessageDialog(Component parentComponent,
                                         Object message,
                                         String title,
                                         int messageType) {
        Toolkit.getDefaultToolkit().beep();
        JOptionPane.showMessageDialog(parentComponent, message, title, messageType);
    }
    
    /** You cannot instantiate this class. */
    protected Dialogs() { }
}
